<?

header('Cache-Control: no-store, no-cache, must-revalidate');	// HTTP/1.1
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php"); 
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link); 
require("version.php");

$mid = intval($mid);

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<card title=\"Встречи\">\n";
echo "<p align=\"center\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Встречи</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}


switch($mod) {

case 'meet':
$q=@mysql_query("select title,content,organizatory,login from vstrechi where id='$mid';");
$arr=@mysql_fetch_array($q);
		echo $fsize1;
		echo "<u>Название:</u> ".$arr['title'];
		echo "<br/><u>Содержание:</u> ".$arr['content'];
		echo "<br/><u>Организаторы:</u> ".$arr['organizatory'];
		echo "<br/><u>Разместил:</u> ".$arr['login'];
		echo "<br/>";
        echo $fsize2;
break;


default:
echo $fsize1;
$q=mysql_query("select id,title from vstrechi order by id desc;");
if (mysql_affected_rows() == 0) {
echo "Встреч нет(<br/>";
}
while($arr=mysql_fetch_array($q)) {
echo "<a href=\"vstrechi.php?$ses&amp;mid=".$arr['id']."&amp;mod=meet&amp;ref=$ref\">".$arr['title']."</a><br/>"; 
}
echo $fsize2;
break;
}
echo $fsize1;
echo $divide;
if($mod) {
echo "<a href=\"vstrechi.php?$ses&amp;ref=$ref\">&#8592; Встречи</a><br/>";
}


echo "<a href=\"enter.php?$ses&amp;ref=$rand\">&#8592; Прихожая</a><br/>";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
?>